Home//
REST API Reference
/- Attach a contact to a conversation
Add tag to a conversation
Remove tag from a conversation
List all conversations
Creates a conversation
Retrieve a conversation
Update a conversation
Delete a conversation
Search conversations
Reply to a conversation
Manage a conversation
Detach a contact from a group conversation
List handling events
List HITL events
List side conversations
Redact a conversation part
Merge a conversation
Convert a conversation to a ticket
List all deleted conversation IDs
Conversation
Conversation List Item
Conversation Monitor Evaluation
Conversation Scorecard
Conversation Scorecard Evaluator
Evaluator Reason
Conversation Scorecard Evaluator Result
Scorecard Note
Note Author
Reviewed Teammate
Reviewer
Revised By
Submitted By
Merge Conversations Request
Attach a contact to a con...
You can add participants who are contacts to a conversation, on behalf of either another contact or an admin.
Contacts without an email
If you add a contact via the email parameter and there is no user/lead found on that workspace with he given email, then we will create a new contact with role set to lead.
Security
bearerAuth
Intercom-Versionstring(intercom_version)
Intercom API version.
If you omit the header, the API uses the version set in your app package, and 1.0 if none is set.
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.17
- The production API serverhttps://api.intercom.io/conversations/{conversation_id}/customers
- The european API serverhttps://api.eu.intercom.io/conversations/{conversation_id}/customers
- The australian API serverhttps://api.au.intercom.io/conversations/{conversation_id}/customers
- Attach a contact to a conversation
- Not found
curl -i -X POST \
https://api.intercom.io/conversations/123/customers \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-H 'Intercom-Version: 2.17' \
-d '{
"admin_id": 991267731,
"customer": {
"intercom_user_id": "6762f19b1bb69f9f2193bbd4"
}
}'Response
{ "customers": [ { … } ] }